use super::*;

pub struct Query {
    pub resp:Option<Sender<Query>>,
    pub data:QueryData,
}
impl Query {
    pub fn new(resp:Option<Sender<Query>>, data:QueryData) -> Self
    {
        Self {
            resp,
            data,
        }
    }
}

pub enum QueryData {
    Notify,

    Supervisor(SupervisorQuery),
    API,
    Audio,
    Control,
    Input,
    Network,
    Scene,
    Storage,
    Video(VideoQuery),
    Window(WindowQuery),
}
